Bug 1001144 - Disable or remove device usb-host-linux
Disable or remove device usb-host-linux
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks: 720747
  Show dependency treegraph
 
Reported: 2013-08-26 10:46 EDT by Markus Armbruster
Modified: 2014-06-17 23:35 EDT (History)
8 users (show)

See Also:
Fixed In Version: -kvm-1.5.3-14.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:52:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-26 10:46:09 EDT
The Linux USB passthrough device has been rewritten upstream.  The old code is still around as device usb-host-linux, to simplify regression testing.  Upstream is expected to drop it in a release or two.

While we might want to keep usb-host-linux enabled for beta to help trouble-shooting any issues popping up, we definitely don't want it enabled in GA.

How reproducible:
Always

Steps to Reproduce:
1. qemu-kvm -nodefaults -display none -monitor stdio -S -usb -device usb-host-linux

Actual results:
-device usb-host-linux is accepted

Expected results:
-device usb-host-linux is rejected, just like -device nonexistant
Comment 2 Gerd Hoffmann 2013-09-10 06:25:38 EDT
http://patchwork.ozlabs.org/patch/273786/
Comment 3 Gerd Hoffmann 2013-10-29 09:31:46 EDT
commit b5613fdcb0e03d47852582c252942512f050b5b6
Comment 4 Gerd Hoffmann 2013-11-05 05:54:47 EST
Posted.
Comment 5 Miroslav Rezanina 2013-11-06 06:26:48 EST
Fix included in -kvm-1.5.3-14.el7
Comment 7 Shaolong Hu 2013-11-25 21:54:21 EST
Verified on qemu-kvm-1.5.3-19.el7.x86_64:

# /usr/libexec/qemu-kvm -nodefaults -display none -monitor stdio -S -usb -device usb-host-linux
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) qemu-kvm: -device usb-host-linux: Parameter 'driver' expects device type

# /usr/libexec/qemu-kvm -device help 2>&1 | grep usb
name "usb-host", bus usb-bus
name "usb-hub", bus usb-bus
name "ich9-usb-ehci1", bus PCI
name "ich9-usb-ehci2", bus PCI
name "ich9-usb-uhci1", bus PCI
name "ich9-usb-uhci2", bus PCI
name "ich9-usb-uhci3", bus PCI
name "ich9-usb-uhci4", bus PCI
name "ich9-usb-uhci5", bus PCI
name "ich9-usb-uhci6", bus PCI
name "nec-usb-xhci", bus PCI
name "piix3-usb-uhci", bus PCI
name "piix4-usb-uhci", bus PCI
name "usb-ehci", bus PCI
name "vt82c686b-usb-uhci", bus PCI
name "usb-bot", bus usb-bus
name "usb-storage", bus usb-bus
name "usb-ccid", bus usb-bus, desc "CCID Rev 1.1 smartcard reader"
name "usb-kbd", bus usb-bus
name "usb-mouse", bus usb-bus
name "usb-redir", bus usb-bus
name "usb-tablet", bus usb-bus
Comment 9 Ludek Smid 2014-06-13 05:52:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.